#include <avr/io.h>
/*
#ifndef F_CPU
#error "F_CPU nicht definiert"
#endif
#include <util/delay.h>
*/
#include "AD5683.h"

void SPI_MasterInit(void){

  SPI_DDR       |= (1<<SPI_MOSI_PIN); 
  SPI_DDR       |= (1<<SPI_SCK_PIN);
  SPI_SYNC_DDR  |= (1<<SPI_SYNC_Pin);
  SPI_SYNC_PORT |= (1<<SPI_SYNC_Pin);

/* Enable SPI, Master, mode 1, MSB first, clock rate: fck/16 */
  SPCR = (0<<SPIE)|(1<<SPE)|(0<<DORD)|(1<<MSTR)|(0<<CPOL)|(1<<CPHA)|(0<<SPR1)|(1<<SPR0);
}

void dac_write(uint8_t command, uint16_t dac_data) {
 
  SPI_SYNC_PORT &= ~(1<<SPI_SYNC_Pin);

  SPDR = command | ((uint8_t)(dac_data >> 12));
  while(!(SPSR & (1<<SPIF)));

  SPDR = (uint8_t)(dac_data >> 4);
  while(!(SPSR & (1<<SPIF)));

  SPDR = (uint8_t)(dac_data << 4);
  while(!(SPSR & (1<<SPIF))); 

  SPI_SYNC_PORT |= (1<<SPI_SYNC_Pin);

}
