#ifndef _AD5683_h_
#define _AD5683_h_

#define SPI_DDR       DDRB
#define SPI_MOSI_PIN  3
#define SPI_MISO_PIN  4   // nicht verwendet
#define SPI_SCK_PIN   5
#define SPI_SYNC_DDR  DDRB
#define SPI_SYNC_PORT PORTB
#define SPI_SYNC_Pin  2

#define DAC_WRITE   0x30U
#define DAC_CONTROL 0x40U
#define DAC_RESET   (1<<15)
#define DAC_PD1     (1<<14)
#define DAC_PD0     (1<<13)
#define DAC_REF     (1<<12)
#define DAC_GAIN    (1<<11)


void SPI_MasterInit(void);
void dac_write(uint8_t command, uint16_t dac_data);

#endif
